Anonymous Login
2018-06-25 09:32 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001958OpenClonkObjectspublic2017-12-27 13:52
ReporterClonkonaut 
Assigned ToZapper 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version 
Target Version8.0Fixed in Versiongit master 
Summary0001958: Slow motion rain effects, slow motion game?
DescriptionThe rain drop effects are running in slow motion (especially the rebound drops on the ground). See attached gif.

It also stills feels like rain is slowing the game by just a little bit.
Additional InformationTested in Clonkomotive. The scenario in general runs very slow (around 33 fps for me), maybe because of all the effects.
TagsNo tags attached.
Attached Files
  • gif file icon Rain.gif (1,496,602 bytes) 2017-11-27 18:01

-Relationships
+Relationships

-Notes

~0005916

Clonkonaut (developer)

I just noticed the same slow motion falling with saw dust. Maybe this is a bigger problem?

~0005942

Caesar (developer)

@Clonkonaut: the "bigger problem" may be that all invocations to PV_Gravity currently use values from -100 to 100, while a value of 1000 denotes full gravity influence(?). Scaling up the values for splashes and sawdust by a factor of 10 definitely makes them look less ridiculous, but maybe a bit too tiny. Someone with more of an eye for these things may want to have a look.

The slow-down may be unrelated.
<Zapper> oh, and the rain probably makes the game noticably slower because of the SimFlight

~0005979

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/f10b0854e83a24546c5b2c3c52a5c60a609fceab

Changeset f10b085 by David Dormagen <czapper@gmx.de>
fixed slow-mo rain (0001958)

Yes, someone just had the "slow-mo" switch on. I also replaced the usage of the "RaindropSmall" particle (which was a stretched dot) with an actual stretched dot.

~0005980

Zapper (developer)

Fixed. PV_Gravity is now 1000 instead of 60.

It's intended with the saw dust, though.
And I also removed the "RaindropSmall" particle.
+Notes

-Issue History
Date Modified Username Field Change
2017-11-27 18:01 Clonkonaut New Issue
2017-11-27 18:01 Clonkonaut File Added: Rain.gif
2017-11-27 18:26 Clonkonaut Note Added: 0005916
2017-12-19 23:01 Caesar Note Added: 0005942
2017-12-27 13:16 Zapper Assigned To => Zapper
2017-12-27 13:16 Zapper Status new => assigned
2017-12-27 13:51 occ Note Added: 0005979
2017-12-27 13:52 Zapper Status assigned => resolved
2017-12-27 13:52 Zapper Resolution open => fixed
2017-12-27 13:52 Zapper Fixed in Version => git master
2017-12-27 13:52 Zapper Note Added: 0005980
+Issue History